package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchBindDeviceResultOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class BatchBindDeviceResultOpenApiVo   {
  @JsonProperty("successedDevices")
  @Valid
  private List<DeviceBindResultOpenApiVo> successedDevices = null;

  @JsonProperty("failedDevices")
  @Valid
  private List<DeviceBindResultOpenApiVo> failedDevices = null;

  public BatchBindDeviceResultOpenApiVo successedDevices(List<DeviceBindResultOpenApiVo> successedDevices) {
    this.successedDevices = successedDevices;
    return this;
  }

  public BatchBindDeviceResultOpenApiVo addSuccessedDevicesItem(DeviceBindResultOpenApiVo successedDevicesItem) {
    if (this.successedDevices == null) {
      this.successedDevices = new ArrayList<>();
    }
    this.successedDevices.add(successedDevicesItem);
    return this;
  }

  /**
   * Devices with successful operation.
   * @return successedDevices
  */
  @ApiModelProperty(value = "Devices with successful operation.")

  @Valid

  public List<DeviceBindResultOpenApiVo> getSuccessedDevices() {
    return successedDevices;
  }

  public void setSuccessedDevices(List<DeviceBindResultOpenApiVo> successedDevices) {
    this.successedDevices = successedDevices;
  }

  public BatchBindDeviceResultOpenApiVo failedDevices(List<DeviceBindResultOpenApiVo> failedDevices) {
    this.failedDevices = failedDevices;
    return this;
  }

  public BatchBindDeviceResultOpenApiVo addFailedDevicesItem(DeviceBindResultOpenApiVo failedDevicesItem) {
    if (this.failedDevices == null) {
      this.failedDevices = new ArrayList<>();
    }
    this.failedDevices.add(failedDevicesItem);
    return this;
  }

  /**
   * Devices with failed operation.
   * @return failedDevices
  */
  @ApiModelProperty(value = "Devices with failed operation.")

  @Valid

  public List<DeviceBindResultOpenApiVo> getFailedDevices() {
    return failedDevices;
  }

  public void setFailedDevices(List<DeviceBindResultOpenApiVo> failedDevices) {
    this.failedDevices = failedDevices;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchBindDeviceResultOpenApiVo batchBindDeviceResultOpenApiVo = (BatchBindDeviceResultOpenApiVo) o;
    return Objects.equals(this.successedDevices, batchBindDeviceResultOpenApiVo.successedDevices) &&
        Objects.equals(this.failedDevices, batchBindDeviceResultOpenApiVo.failedDevices);
  }

  @Override
  public int hashCode() {
    return Objects.hash(successedDevices, failedDevices);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchBindDeviceResultOpenApiVo {\n");
    
    sb.append("    successedDevices: ").append(toIndentedString(successedDevices)).append("\n");
    sb.append("    failedDevices: ").append(toIndentedString(failedDevices)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

